/*
  DrawEx Library.
  (c) Emil Biserov (aka fatty) 2001
  (c) Alexey Makhmutov (aka Lerm) 2003,2004
*/

#ifndef LERM_DRAW_EX_H
#define LERM_DRAW_EX_H

#include <define.h>

/*  
  Style:
  IB_GPFOVER - OVER Write  
  IB_GPFOR   - OR Write  
  IB_GPFAND  - AND Write
  IB_GPFREV  - REVERSE Write
  IB_GPFMESH - MESH Write
*/
extern int LibPutProFontEx(byte type, byte code, int x_pos,int y_pos, byte style);

/*
  Style:
  IB_GPFOVER - OVER Write  
  IB_GPFOR   - OR Write  
  IB_GPFAND  - AND Write
  IB_GPFREV  - REVERSE Write
  IB_GPFMESH - MESH Write
*/
extern void LibPutProStrEx(byte type,int x,int y,byte *string,int x_size, byte style);

/* 
  Style:
  IB_FMOVER - OVER Write
  IB_FMOR   - OR Write
  IB_FMAND  - AND Write 
  IB_FMREV  - REVERSE Write 
  IB_FMMESH - MESH Write
*/
extern void LibPutMessageEx(word no,int p_x,int p_y,byte type, byte style);

/*
  Style:
  IB_FGPOVER - OVER Write
  IB_FGPOR   - OR Write
  IB_FGPAND  - AND Write
  IB_FGPREV  - REVERSE Write
  IB_FGPMESH - MESH Write
*/
extern void LibPutFarDataEx(int x, int y, int no, byte style);

#endif
